<?php
/**
 * Water Sports Rental: Block Patterns
 *
 * @since Water Sports Rental 1.0
 */

/**
 * Registers block patterns and categories.
 *
 * @since Water Sports Rental 1.0
 *
 * @return void
 */
function water_sports_rental_register_block_patterns() {
	$water_sports_rental_block_pattern_categories = array(
		'water-sports-rental'    => array( 'label' => __( 'Water Sports Rental', 'water-sports-rental' ) ),
	);

	$water_sports_rental_block_pattern_categories = apply_filters( 'water_sports_rental_block_pattern_categories', $water_sports_rental_block_pattern_categories );

	foreach ( $water_sports_rental_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'water_sports_rental_register_block_patterns', 9 );
